import QtQuick 1.1
import com.nokia.meego 1.0

/* We really want to inherit from CommonDialog, but MeeGo doesn't export it */
SelectionDialog {
    id: root

    property bool selectFolder: false
    property bool selectExisting: true
    property alias folder: fileBrowser.folder
    property alias filePath: fileBrowser.filePath

    property bool __isPortrait: screen.currentOrientation == Screen.Portrait ||
        screen.currentOrientation == Screen.PortraitInverted
    height: __isPortrait ? screen.displayWidth : screen.displayHeight
    width: __isPortrait ? screen.displayHeight : screen.displayWidth -
        (platformStyle.leftMargin + platformStyle.rightMargin)

    content: Item {
        height: root.height - 170
        width: parent.width

        FileBrowser {
            id: fileBrowser
            anchors.fill: parent
            platformStyle: FileBrowserStyle { inverted: true }

            onFilePathChanged: {
                accept()
            }
        }

        Rectangle {
            width: parent.width
            height: 2
            color: "#333333"
            z: 2

            anchors.bottom: parent.bottom
        }
    }
}
