// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

ContextMenu {
    id: cntxMenuFile

    function checkGroup() {
        for (var i = 0; i < folderModel.entryCount; i++) {
            if (folderModel.itemIsSelected(i))
                return true
        }

        return false
    }

    MenuLayout {
        MenuItem  {
            text: qsTr("Rename...");
            onClicked: {
                cntxMenuFile.close();

                renameInputDialog.value = selectedItem.displayName
                renameInputDialog.isForRename = true
                renameInputDialog.open()
                renameInputDialog.setRightCursorPos()
            }
        }
        MenuItem  {
            text: qsTr("Download...");
            onClicked: {
                cntxMenuFile.close();

                if (selectedItem.isFolder)
                {
                    infoBanner.text = qsTr("Can't download folder!")
                    infoBanner.iconSource = "qrc:/img/fail.png"
                    infoBanner.show()
                    return
                }

                var freeSpace = bridge.slotGetFreeSpace()
                if (freeSpace < selectedItem.contLen)
                {
                    infoBanner.text = qsTr("Not enought free space!")
                    infoBanner.iconSource = "qrc:/img/fail.png"
                    infoBanner.show()
                    return
                }

                folderView.showTransferDialog(selectedItem.displayName, true) // isDownload, true
                bridge.slotDownloadFile(selectedItem.href);
            }
        }
        MenuItem  {
            text: qsTr("Copy");
            onClicked: {
                cntxMenuFile.close();

                folderView.isCopyOrMoveRunning = true;
                appWindow.pageStack.toolBar.setTools(copyPasteTools)
                folderView.isCurOperIsCopy = true

                folderView.fileToMoveOrCopy = folderView.selectedItem.href
            }
        }
        MenuItem  {
            text: qsTr("Move");
            onClicked: {
                cntxMenuFile.close();

                folderView.isCopyOrMoveRunning = true;
                appWindow.pageStack.toolBar.setTools(copyPasteTools)
                folderView.isCurOperIsCopy = false

                folderView.fileToMoveOrCopy = folderView.selectedItem.href
            }
        }
        MenuItem  {
            text: qsTr("Delete");
            onClicked: {
                if (checkGroup()) {
                    groupOperationHandler.startGroupOperation("delete")
                    return
                }

                cntxMenuFile.close();
                folderView.showDeleteDialog(folderView.selectedItem.displayName)
            }
        }
        MenuItem  {
            text: qsTr("Publish");
            onClicked: {
                cntxMenuFile.close();

                // TAG FREE
                if (false)
                {
                    infoBanner.text = qsTr("Unavailable in free version!")
                    infoBanner.iconSource = "qrc:/img/fail.png"
                    infoBanner.show()
                    return
                }

                bridge.slotPublishFile(folderView.selectedItem.href)
            }
        }
        MenuItem  {
            text: qsTr("Share...");
            onClicked: {
                cntxMenuFile.close();

                bridge.slotShareFile(folderView.selectedItem.href)
            }
        }
        MenuItem  {
            text: qsTr("Unpublish");
            onClicked: {
                cntxMenuFile.close();

                bridge.slotUnpublishFile(folderView.selectedItem.href)
            }
        }
    }
}
