import QtQuick 1.1
import com.nokia.meego 1.0

import "JsModule.js" as JS

Item {

    width: gridView.cellWidth
    height: gridView.cellHeight
    Image {
        property int iconSize: 80 // todo move to Item or JS!???

        asynchronous: true

        sourceSize.width: iconSize
        sourceSize.height: iconSize
        source: model.isFolder? "qrc:/img/folder.png" : JS.getImageByFileType(model.displayName)

        anchors {
            top: parent.top
            topMargin: 5
            horizontalCenter: parent.horizontalCenter
        }
    }

    Label {

        text: model.displayName
        anchors {
            bottom: parent.bottom
            bottomMargin: 5
            horizontalCenter: parent.horizontalCenter
        }

        color: model.isSelected? "#7517e4" : "black"
        width: parent.width - 10
        height: 50
        horizontalAlignment: Text.AlignHCenter
        elide: Text.ElideRight
        maximumLineCount: 2
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere

        Component.onCompleted: {
            font.pointSize = font.pointSize - 4 // 18 - 4
        }
    }

    MouseArea {
        anchors.fill: parent

        onPressed: {
            gridView.modelItem = model
            gridView.currentIndex = index
        }

        onClicked: {
            if (isFolder)
                bridge.slotMoveToFolder(model.displayName)
        }

        onDoubleClicked: {
            folderModel.toggleIsSelected(model.index);
        }

        onPressAndHold: {
            if (folderView.isCopyOrMoveRunning)
                return;

            selectedItem = model
            cntxMenuFile.open()
        }
    }
}
