import QtQuick 1.1
import com.nokia.meego 1.0

Menu {
    id: mainMenuRoot

    MenuLayout {

        MenuItem  {
            text: qsTr("Create new folder...");
            onClicked: {
                folderView.showNewFolderDialog()
            }
        }

        MenuItem  {
            text: qsTr("Upload file...");
            onClicked: {
                uploadTypeSelection.selectedIndex = -1
                uploadTypeSelection.open()
            }
        }

        MenuItem  {
            text: qsTr("Home folder");
            onClicked: {
                if (bridge.currentFolder !== "/")
                    bridge.slotMoveToFolder("/")
            }
        }

        MenuItem {
            text: qsTr("Disk information...")
            onClicked: {
                bridge.slotGetDiskInfo()
            }
        }

        MenuItem {
            text: qsTr("Options...")
            onClicked: {
                optionsPage.updateInfoFromOptions()
                appWindow.pageStack.push(optionsPage)
            }
        }

        MenuItem
        {
            text: qsTr("Sign out")
            onClicked: {
                signOutSubmission.open()
            }
        }

        MenuItem {
            text: qsTr("About")
            onClicked: {
                // mainMenuRoot.close() todo
                dialogAbout.open()
            }
        }
    }
} // menu
