import QtQuick 1.1
import com.nokia.meego 1.0
import "JsModule.js" as JS

Dialog {
    id: rootDialog

    property bool finished: false
    property real totalCount: 0

    signal cancelClicked()

    title: Label {
        id: titleLabel

        text: qsTr("Progress")
        color: "#7517e4"
        font.pixelSize: 36

        anchors.horizontalCenter: parent.horizontalCenter

    }

    onStatusChanged: {
        if (status === DialogStatus.Closing && !finished)
            status = 1
    }

    function stopDialog() {
        finished = true
        status = DialogStatus.Closed
    }

    function finishWithSuccess() {
        finished = true
        status = DialogStatus.Closed
    }

    function startDialog(ct) {
        progressBar.maximumValue = ct
        progressBar.value = 0
        totalCount = ct

        rootDialog.open()
    }

    function increaseProgress() {
        progressBar.value = progressBar.value + 1
    }


    content: Rectangle {
        color: "#00000000"
        height: 80 + fileNameLabel.height
        width: parent.width

        Label {
            id: fileNameLabel

            text: progressBar.value + "/" + totalCount
            color: "white"
            font.pixelSize: 26
            width: parent.width
            horizontalAlignment: Text.AlignHCenter

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 20
        }

        ProgressBar {
            id: progressBar

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 20

            width: 300
            minimumValue: 0
            value: 0

            Component.onCompleted: {
                platformStyle.__colorString = "color" + 10 + "-"
            }
        }
    }


    buttons: Rectangle {
        color: "#00000000"
        height: 75
        width: parent.width

        Button {

            width: 150
            anchors.centerIn: parent
            text: qsTr("Cancel");
            onClicked: rootDialog.cancelClicked()

            platformStyle: ButtonStyle {
                property string __colorString: "color" + 10 + "-"
            }
        }
    }
}
