import QtQuick 1.1
import com.nokia.meego 1.0
import "JsModule.js" as JS

Dialog {
    id: rootDialog

    property bool isForRename: true
    property alias value: tfName.text

    function setRightCursorPos() {
        var indOfDot = value.lastIndexOf('.')
        if (indOfDot > 0) {
            tfName.cursorPosition = indOfDot
            tfName.forceActiveFocus()
        } else {
            tfName.cursorPosition = tfName.text.length
            tfName.forceActiveFocus()
        }
    }

    title: Label {
        id: titleLabel

        text: qsTr("Enter name")
        color: "#7517e4"
        font.pixelSize: 36

        anchors.horizontalCenter: parent.horizontalCenter

    }

    content: Rectangle {
        color: "#00000000"
        height: 105
        width: parent.width

        Label {
            id: lblHelp
            text: isForRename? qsTr("Please, enter new file name") : qsTr("Please, enter folder name")
            color: "white"
            font.pixelSize: 28

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 10
        }

        TextField {
            id: tfName

            width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom

        }
    }


    buttons: Rectangle {
        color: "#00000000"
        height: 100
        width: parent.width

        ButtonRow {

            style: ButtonStyle {
                property string __colorString: "color" + 10 + "-"
            }

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter

            width: parent.width * 3 / 4

            Button {
                text: qsTr("Cancel");
                onClicked: rootDialog.reject()
            }

            Button {
                text: qsTr("Ok");
                onClicked: rootDialog.accept()

            }
        }
    }
}
