function decorateFileSize(size) {

    if (size ===0)
        return "0b"

    var suffix = ["b", "kb", "mb", "gb"]
    var iter = 0

    for (; size > 1024; iter++)
    {
        size = size / 1024.0
    }

    return (Math.round(size * 100) / 100) + " " + suffix[iter];
}

function endsWith(str, suffix) {
    return str.indexOf(suffix, str.length - suffix.length) !== -1;
}

function getImageByFileType(fileName) {

    var ind = fileName.lastIndexOf(".")
    if (ind === -1)
        return  "qrc:/img/unknown.png" // return unknown

    var ext = fileName.substr(ind + 1)

    ext = ext.toLowerCase()

    switch(ext)
    {
    case "pdf":
        return "qrc:/img/pdf.png"
    case "djvu":
        return "qrc:/img/djvu.png"
    case "djv":
        return "qrc:/img/djvu.png"
    case "txt":
        return "qrc:/img/txt.png"
    case "c":
        return "qrc:/img/c.png"
    case "cpp":
        return "qrc:/img/cpp.png"
    case "cs":
        return "qrc:/img/cs.png"
    case "java":
        return "qrc:/img/java.png"
    case "ruby":
        return "qrc:/img/ruby.png"
    case "rb":
        return "qrc:/img/ruby.png"
    case "py":
        return "qrc:/img/python.png"
    case "xml":
        return "qrc:/img/xml.png"
    case "png":
        return "qrc:/img/img.png"
    case "jpg":
        return "qrc:/img/img.png"
    case "jpeg":
        return "qrc:/img/img.png"
    case "gif":
        return "qrc:/img/img.png"
    case "mp3":
        return "qrc:/img/audio.png"
    case "wav":
        return "qrc:/img/audio.png"
    case "ogg":
        return "qrc:/img/audio.png"
    case "avi":
        return "qrc:/img/video.png"
    case "mkv":
        return "qrc:/img/video.png"
    case "mp4":
        return "qrc:/img/video.png"
    case "flv":
        return "qrc:/img/video.png"
    case "mpeg":
        return "qrc:/img/video.png"
    case "mpeg4":
        return "qrc:/img/video.png"
    case "doc":
        return "qrc:/img/doc.png"
    case "docx":
        return "qrc:/img/doc.png"
    case "odt":
        return "qrc:/img/doc.png"
    case "rtf":
        return "qrc:/img/doc.png"
    case "ods":
        return "qrc:/img/doc.png"
    case "docx":
        return "qrc:/img/doc.png"
    case "odf":
        return "qrc:/img/doc.png"
    case "ppt":
        return "qrc:/img/doc.png"
    case "pptx":
        return "qrc:/img/doc.png"
    case "xls":
        return "qrc:/img/doc.png"
    case "xlsx":
        return "qrc:/img/doc.png"
    case "zip":
        return "qrc:/img/zip.png"
    case "rar":
        return "qrc:/img/zip.png"
    case "tar":
        return "qrc:/img/zip.png"
    case "gz":
        return "qrc:/img/zip.png"
    case "bz2":
        return "qrc:/img/zip.png"
    case "exe":
        return "qrc:/img/exe.png"
    case "deb":
        return "qrc:/img/deb.png"
    default:
        return "qrc:/img/unknown.png"
    }
}
