// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {

    width: parent.width;
    height: 72//77;
    color: "#333333"
    z: 19;
    anchors.top: parent.top;

    gradient: Gradient {
        GradientStop {
            position: 0.00;
            color: "#7517e4"; // 7718bb 85b3d7 best: 5e4180
        }
        GradientStop {
            position: 1.00;
            color: "#6727b2"//  "#ff7718bb"; // a110ec 517c9f
        }
    }


    Label {
        id: curFolderLabel
        color: "white"
        font.pixelSize: 30

        anchors {
            verticalCenter: parent.verticalCenter
            left: parent.left
            leftMargin: 17
        }

        text: decorateText(bridge.currentFolder)

        function decorateText(text)
        {
            if (text === "/")
                return qsTr("My disk")

            var ind = text.lastIndexOf("/") + 1
            text = text.substr(ind)
            return text
        }
    }


    BusyIndicator {
        id: busyIndi

        running: true
        visible: true

        anchors.right: parent.right
        anchors.rightMargin: 20
        anchors.verticalCenter: parent.verticalCenter

        platformStyle: BusyIndicatorStyle { size: "medium" }
    }

    Rectangle {
        id: rectLine

        color: "white"

        height: 1
        width: parent.width

        anchors.bottom: parent.bottom
    }


    Connections {
        target: bridge

        onIsBusyChanged: {
            var val = bridge.isBusy
            busyIndi.running = val
            busyIndi.visible = val
        }
    }
}
