// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "JsModule.js" as JS

Dialog {
    id: rootDialog

    property alias value: taName.text

    title: Label {
        id: titleLabel

        text: qsTr("Enter url")
        color: "#7517e4"
        font.pixelSize: 36

        anchors.horizontalCenter: parent.horizontalCenter

    }

    content: Rectangle {
        color: "#00000000"
        height: 200
        width: parent.width

        Label {
            id: lblHelp
            text: qsTr("Please, enter download url")
            color: "white"
            font.pixelSize: 28

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 10
        }

        TextArea {
            id: taName

            // text: "http://download.thinkbroadband.com/5MB.zip"
            width: parent.width
            height: 150
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom

        }
    }


    buttons: Rectangle {
        color: "#00000000"
        height: 100
        width: parent.width

        ButtonRow {

            style: ButtonStyle {
                property string __colorString: "color" + 10 + "-"
            }

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter

            width: parent.width // * 3 / 4

            Button {
                text: qsTr("Cancel");
                onClicked: rootDialog.reject()
            }

            Button {
                text: qsTr("Download");
                onClicked: rootDialog.accept()

            }
        }
    }
}
